<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hsmf.datatypes.StringChunk (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hsmf.datatypes.StringChunk (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
               title="class in org.apache.poi.hsmf.datatypes">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hsmf/datatypes/class-use/StringChunk.html"
               target="_top">Frames</a></li>
        <li><a href="StringChunk.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hsmf.datatypes.StringChunk" class="title">Uses of Class<br>org.apache.poi.hsmf.datatypes.StringChunk
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf">org.apache.poi.hsmf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.datatypes">org.apache.poi.hsmf.datatypes</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hsmf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                   title="class in org.apache.poi.hsmf.datatypes">StringChunk</a> in <a
                            href="../../../../../../org/apache/poi/hsmf/package-summary.html">org.apache.poi.hsmf</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../../org/apache/poi/hsmf/package-summary.html">org.apache.poi.hsmf</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getStringFromChunk-org.apache.poi.hsmf.datatypes.StringChunk-">getStringFromChunk</a></span>(<a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;chunk)</code>
                                <div class="block">Gets a string value based on the passed chunk.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hsmf.datatypes">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                   title="class in org.apache.poi.hsmf.datatypes">StringChunk</a> in <a
                            href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> declared as <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">RecipientChunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#deliveryTypeChunk">deliveryTypeChunk</a></span></code>
                                <div class="block">Normally EX or SMTP.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">RecipientChunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#recipientDisplayNameChunk">recipientDisplayNameChunk</a></span></code>
                                <div class="block">The display name of the recipient.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">RecipientChunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#recipientEmailChunk">recipientEmailChunk</a></span></code>
                                <div class="block">The email address of the recipient, which could be in SMTP or SEARCH
                                    format, but isn't always present...
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">RecipientChunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#recipientNameChunk">recipientNameChunk</a></span></code>
                                <div class="block">The "name", which could be their name if an internal person, or their
                                    email address if an external person
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">RecipientChunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#recipientSMTPChunk">recipientSMTPChunk</a></span></code>
                                <div class="block">The smtp destination email address of the recipient, but isn't always
                                    present...
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> that return <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AttachmentChunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachContentId--">getAttachContentId</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AttachmentChunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachExtension--">getAttachExtension</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AttachmentChunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachFileName--">getAttachFileName</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AttachmentChunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachLongFileName--">getAttachLongFileName</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AttachmentChunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachMimeTag--">getAttachMimeTag</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getConversationTopic--">getConversationTopic</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getDisplayBCCChunk--">getDisplayBCCChunk</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getDisplayCCChunk--">getDisplayCCChunk</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getDisplayFromChunk--">getDisplayFromChunk</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getDisplayToChunk--">getDisplayToChunk</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getEmailFromChunk--">getEmailFromChunk</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getHtmlBodyChunkString--">getHtmlBodyChunkString</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getMessageClass--">getMessageClass</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getMessageHeaders--">getMessageHeaders</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getMessageId--">getMessageId</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getSentByServerType--">getSentByServerType</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getSubjectChunk--">getSubjectChunk</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunks.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html#getTextBodyChunk--">getTextBodyChunk</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
               title="class in org.apache.poi.hsmf.datatypes">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hsmf/datatypes/class-use/StringChunk.html"
               target="_top">Frames</a></li>
        <li><a href="StringChunk.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
